post:
  operationId: postActivityLogs
  description: Arduino Activity Logs
  requestBody:
    required: true
    content:
      application/x-www-form-urlencoded:
        schema:
          type: object
          description: Activity Logs Properties
          example:
            temperature: "30 C"
            humidity: "29 F"
            moisture: "198"
            exhaust_fan: "ON"
            mist_pump: "OFF"
            heater: "OFF"
          properties:
            temperature:
              type: string
            humidity:
              type: string
            moisture:
              type: string
            heat_index:
              type: string
            exhaust_fan:
              type: string
            mist_pump:
              type: string
            heater:
              type: string
          required:
            - temperature
            - humidity
            - moisture
            - heat_index
            - exhaust_fan
            - mist_pump
            - heater
  parameters:
    - name: platform_id
      in: query
      description: Platform ID from Arduino
      required: true
      schema:
        type: number
    - name: user_agent
      in: header
      description: User Agent for Response
      required: true
      schema:
        type: string
  responses:
    '200':
      description: HTTP Status OK
      content:
        application/json:
          schema:
            $ref: ../schemas/logs.yml
    '400':
      $ref: ../responses/400.yml
    '401':
      $ref: ../responses/401.yml
    '403':
      $ref: ../responses/403.yml
    '500':
      $ref: ../responses/500.yml
  tags:
    - INSERT
  summary: Send Logs Info To Database From Arduino
  x-eov-operation-handler: controller/LogsController

get:
  operationId: getActivityLogs
  description: Get Activity Logs from Database
  parameters:
    - name: platform_id
      in: query
      description: Platform ID from Mobile
      required: true
      schema:
        type: number
    - name: page
      in: query
      description: Pagination for Mobile
      required: true
      schema:
        type: number
    - name: user_agent
      in: header
      description: User Agent for Response
      required: true
      schema:
        type: string
  responses:
    '200':
      description: HTTP Status OK
      content:
        application/json:
          schema:
            $ref: ../schemas/logs.yml
    '400':
      $ref: ../responses/400.yml
    '401':
      $ref: ../responses/401.yml
    '403':
      $ref: ../responses/403.yml
    '500':
      $ref: ../responses/500.yml
  tags:
    - SELECT
  summary: Get Logs Info From Database To Mobile
  x-eov-operation-handler: controller/LogsController